//
//  View.m
//  Activity
//
//  Created by nyuguest on 8/20/13.
//  Copyright (c) 2013 nyuguest. All rights reserved.
//

#import "View.h"

@implementation View

- (id) initWithFrame: (CGRect) frame
{
	self = [super initWithFrame: frame];
	if (self) {
		// Initialization code
		self.backgroundColor = [UIColor whiteColor];

		//StyleWhite would be invisible on a white background.
		indicator = [[UIActivityIndicatorView alloc] initWithActivityIndicatorStyle:
			UIActivityIndicatorViewStyleGray];
		indicator.center = CGPointZero;

		indicator.hidesWhenStopped = NO;	//default is YES
		[self addSubview: indicator];
		
		label = [[UILabel alloc] initWithFrame: CGRectZero];
		CGSize size = [@"Stopped" sizeWithFont: label.font];

		CGRect f = CGRectMake(
			indicator.bounds.size.width * 3 / 4,
			-size.height / 2,
			size.width,
			size.height
		);

		label.frame = f;
		[self addSubview: label];
	}
	return self;
}

- (void) layoutSubviews {
	//Place origin at center of View.
	CGRect b = self.bounds;

	self.bounds = CGRectMake(
		-b.size.width / 2,
		-b.size.height / 2,
		b.size.width,
		b.size.height
	);
}

- (void) startAnimating
{
	label.text = @"Started";
	[indicator startAnimating];
}


- (void) stopAnimating
{
	label.text = @"Stopped";
	[indicator stopAnimating];
}

/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void) drawRect: (CGRect)rect
{
	// Drawing code
}
*/

@end
